<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Specification;

use Sylius\Component\Addressing\Model\AddressInterface;

class AddressHasEcotaxSpecification implements AddressHasEcotaxSpecificationInterface
{
    private const DEFAULT_COUNTRY_CODE = 'FR';

    public function isSatisfiedBy(AddressInterface $address): bool
    {
        $countyCode = $address->getCountryCode();

        return $countyCode === self::DEFAULT_COUNTRY_CODE;
    }
}
