<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Twig;

use Dedi\SyliusEcotaxPlugin\Helper\EcotaxPriceHelperInterface;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

final class EcotaxPriceExtension extends AbstractExtension
{
    public function __construct(
        private EcotaxPriceHelperInterface $helper,
    ) {
    }

    public function getFilters()
    {
        return [
            new TwigFilter('dedi_ecotax_calculate_ecotax', [$this->helper, 'getEcotax']),
            new TwigFilter('dedi_ecotax_calculate_variant_ecotax', [$this->helper, 'getVariantEcotax']),
        ];
    }
}
